# $Revision: 1.48 $, $Date: 2010/11/12 23:38:14 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Compress
%define		pnam	Bzip2
Summary:	Compress::Bzip2 - Perl interface to Bzip2 compression library
Summary(pl.UTF-8):	Compress::Bzip2 - interfejs perlowy do biblioteki kompresji Bzip2
Name:		perl-Compress-Bzip2
Version:	2.09
Release:	5
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Compress/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1699fde3e86f2a036f135ae606d456bf
URL:		http://search.cpan.org/dist/Compress-Bzip2/
BuildRequires:	bzip2-devel >= 1.0.0
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Compress::Bzip2 module provides a Perl interface to the Bzip2
compression library. A relevant subset of the functionality provided
by Bzip2 is available in Compress::Bzip2.

%description -l pl.UTF-8
Moduł Compress::Bzip2 udostępnia interfejs perlowy do biblioteki
kompresji Bzip2. Compress::Bzip2 udostępnia związany z tym podzbiór
zbioru funkcji udostępnianych przez Bzip2.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"
%{?with_tests: %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README NEWS
%{perl_vendorarch}/Compress/Bzip2.pm
%dir %{perl_vendorarch}/auto/Compress/Bzip2
%{perl_vendorarch}/auto/Compress/Bzip2/Bzip2.bs
%{perl_vendorarch}/auto/Compress/Bzip2/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Compress/Bzip2/Bzip2.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Compress-Bzip2.spec,v $
Revision 1.48  2010/11/12 23:38:14  pawelz
- release 5

Revision 1.47  2010/06/06 08:32:06  arekm
- release 4

Revision 1.46  2009/03/14 11:23:21  hawk
- release 3

Revision 1.45  2008/03/15 17:08:22  qboosh
- generic URL

Revision 1.44  2008-02-10 12:02:01  arekm
- rel 2

Revision 1.43  2008-01-10 08:38:35  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.42  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.41  2007/02/12 00:49:26  baggins
- converted to UTF-8

Revision 1.40  2006/08/20 17:41:32  qboosh
- cleanup, enabled tests (SOA#1)

Revision 1.39  2006/08/17 20:49:40  migo
- up to 2.09

Revision 1.38  2004/12/22 22:56:42  qboosh
- fixed bcond desc

Revision 1.37  2004/12/11 00:26:37  ankry
- rel. 2

Revision 1.36  2004/11/03 22:30:10  paladine
- formatting

Revision 1.35  2004/06/05 18:10:33  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.34  2004/05/06 18:43:05  ankry
- fixed perl-devel BR

Revision 1.33  2004/04/18 17:50:16  ankry
- summary, description and license fixes

Revision 1.32  2003/12/07 19:15:07  migo
- up to 1.02
- added tests (which are badly broken)
- changed URL

Revision 1.31  2003/09/09 10:24:30  ankry
- spaces -> tab

Revision 1.30  2003/08/18 08:08:33  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.29  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.26  2003/03/01 18:45:59  radek
- should be ready for perl-5.8.0; release++

Revision 1.25  2003/02/25 00:37:39  radek
- use the __perl macro

Revision 1.24  2003/02/18 15:28:14  ankry
- massive attack: change CPAN URLs

Revision 1.23  2002/11/26 00:13:54  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.22  2002/07/10 08:46:36  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.21  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.20  2002/02/25 06:37:41  kloczek
- typo.

Revision 1.19  2002/02/25 06:20:00  kloczek
- cosmetics.

Revision 1.18  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:10:18  depesz
automatic: Source location unfied, Relase Up

Revision 1.16  2002/02/10 15:24:42  depesz
adapterized

Revision 1.15  2002/01/18 02:14:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/04/30 16:05:26  kloczek
- added using %%{rpmcflags} macro.

Revision 1.13  2001/04/17 12:06:30  baggins
- release 6
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/01/25 20:03:43  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.10  2000/12/29 15:45:57  kloczek
- release 5: rebuild agaunst perl 5.6.

Revision 1.9  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.8  2000/11/22 09:33:23  kloczek
- release 4,
- rebuild against bzip2 1.0.1,
- use new rpm automation.

Revision 1.7  2000/06/09 07:23:28  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:47  baggins
- translated kloczkish into english

Revision 1.3  1999/11/07 09:17:08  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/31 15:04:12  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/02 21:49:53  pius
- initial release
